Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.encoding
Class AbstractCodec

    java.lang.Object
      |
      +--weblogic.webservice.encoding.AbstractCodec

public abstract class AbstractCodec
extends java.lang.Object
implements Serializer, Deserializer, javax.xml.rpc.encoding.SerializerFactory, javax.xml.rpc.encoding.DeserializerFactory

An abstract base class for writing stream based codecs to be used in the WLS JAX-RPC based binding framework. JAX-RPC does not define a standard mechanism for accessing XML. This class provides the glue to allow user written codecs to be used in the weblogic server webservices runtime. Codecs to be used in the webservices framework must implement javax.xml.rpc.encoding.SerializerFactory, javax.xml.rpc.encoding.DeserializerFactory, weblogic.xml.schema.binding.Serializer, weblogic.xml.schema.binding.Deserializer This base class provides implementations of SerializerFactory and DeserializerFactory that return this object. User code must implement the Serializer and Deserializer interfaces, which use the weblogic XML stream API to perform the java <-> xml conversion.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`AbstractCodec()`

Method Summary
`javax.xml.rpc.encoding.Deserializer` | `getDeserializerAs(java.lang.String mechanism)`
`java.lang.String` | `getMechanismType()` Returns constant indicating that this serializer/deserializer uses the weblogic stream mechanism
`javax.xml.rpc.encoding.Serializer` | `getSerializerAs(java.lang.String mechanism)`
`java.util.Iterator` | `getSupportedMechanismTypes()` Returns an Iterator containing a single item -- the constant indicating that this serializer/deserializer uses the weblogic stream mechanism

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCodec

    public AbstractCodec()

Method Detail

### getMechanismType

    public java.lang.String getMechanismType()

  Returns constant indicating that this serializer/deserializer uses the weblogic stream mechanism

### getDeserializerAs

    public javax.xml.rpc.encoding.Deserializer getDeserializerAs(java.lang.String mechanism)
                                                          throws javax.xml.rpc.JAXRPCException

  Specified by:
    getDeserializerAs in interface javax.xml.rpc.encoding.DeserializerFactory

### getSerializerAs

    public javax.xml.rpc.encoding.Serializer getSerializerAs(java.lang.String mechanism)
                                                      throws javax.xml.rpc.JAXRPCException

  Specified by:
    getSerializerAs in interface javax.xml.rpc.encoding.SerializerFactory

### getSupportedMechanismTypes

    public java.util.Iterator getSupportedMechanismTypes()

  Returns an Iterator containing a single item -- the constant indicating that this serializer/deserializer uses the weblogic stream mechanism
  Specified by:
    getSupportedMechanismTypes in interface javax.xml.rpc.encoding.SerializerFactory

  See Also:
    `getMechanismType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD